[PVE-User] Corosync Upgrade Issue (v2 -> v3)

Thomas Lamprecht t.lamprecht at proxmox.com
Wed Jul 17 08:10:11 CEST 2019


On 7/16/19 11:26 PM, Chris Hofstaedtler | Deduktiva wrote:
> * Fabian Grünbichler <f.gruenbichler at proxmox.com> [190716 21:55]:
> [..]
>>>
>>> dpkg: error processing package corosync (--configure):
>>>  dependency problems - leaving unconfigured
>>> Processing triggers for libc-bin (2.24-11+deb9u4) ...
>>> Processing triggers for pve-ha-manager (2.0-9) ...
>>> Processing triggers for pve-manager (5.4-11) ...
>>
>> if you followed the upgrade guidelines and ONLY upgraded corosync here, these two triggers should not be triggered...
> 
> I've done a corosync-only upgrade the other day and the triggers are
> indeed triggered.

Yes, and that's correct. We actively trigger the pve-cluster (pmxcfs) service
and the "pve-api-updates" trigger - which then trigger manager and ha-manager.

Se, and the in-lined commit message for details (basically new libqb is incompat,
as new corosync is freshly stared it load the new libqb, pmxcfs has still the old
loaded and cannot communicate anymore, thus it needs to be restarted, and
subsequently all daemons using IPCC calls to pmxcfs):

https://git.proxmox.com/?p=libqb.git;a=commitdiff;h=5abd5865b8d2d0cf245e4b3085a08fb22bf6e7fd

cheers,
Thomas

> 
> dpkg.log (truncated):
> 
> 2019-07-07 21:14:45 startup archives unpack
> 2019-07-07 21:14:46 upgrade libcorosync-common4:amd64 2.4.4-pve1 3.0.2-pve2~bpo9
> 2019-07-07 21:14:46 status triggers-pending libc-bin:amd64 2.24-11+deb9u4
> 2019-07-07 21:14:46 status half-configured libcorosync-common4:amd64 2.4.4-pve1
> 2019-07-07 21:14:46 status unpacked libcorosync-common4:amd64 2.4.4-pve1
> 2019-07-07 21:14:46 status half-installed libcorosync-common4:amd64 2.4.4-pve1
> 2019-07-07 21:14:46 status half-installed libcorosync-common4:amd64 2.4.4-pve1
> 2019-07-07 21:14:46 status unpacked libcorosync-common4:amd64 3.0.2-pve2~bpo9
> 2019-07-07 21:14:46 status unpacked libcorosync-common4:amd64 3.0.2-pve2~bpo9
> 2019-07-07 21:14:46 upgrade libqb0:amd64 1.0.3-1~bpo9 1.0.5-1~bpo9+2
> 2019-07-07 21:14:46 status triggers-pending pve-ha-manager:amd64 2.0-9
> 2019-07-07 21:14:46 status triggers-pending pve-manager:amd64 5.4-10
> ...
> 
> full dpkg.log:
>  https://gist.github.com/zeha/9d47a95776d375d6f386b89c5be4a35a
> 
> 
> Chris
> 
> _______________________________________________
> pve-user mailing list
> pve-user at pve.proxmox.com
> https://pve.proxmox.com/cgi-bin/mailman/listinfo/pve-user
> 





More information about the pve-user mailing list